%define upstream_name    MIME-Base64
%define upstream_version 3.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Encode/decode Base 64 (RFC 2045)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl-devel


%description
This module provides functions to encode and decode strings into and from
the base64 encoding specified in RFC 2045 - _MIME (Multipurpose Internet
Mail Extensions)_. The base64 encoding is designed to represent arbitrary
sequences of octets in a form that need not be humanly readable. A
65-character subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits
to be represented per printable character.

The following functions are provided:

* encode_base64($str)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.130.0-5.mga3
+ Revision: 369315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.130.0-4.mga3
+ Revision: 250949
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 3.130.0-3.mga2
+ Revision: 103800
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 3.130.0-2.mga1
+ Revision: 53627
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.130.0-1.mga1
+ Revision: 30744
- mageia rebuild
- imported package perl-MIME-Base64

